<?php

IncludeModuleLangFile(__FILE__);
if (!$USER->IsAdmin()) {
	$APPLICATION->AuthForm(GetMessage("ACCESS_DENIED"));
}

$APPLICATION->SetTitle(GetMessage('abudagov.sms_Nastrojka_resheniya-title'));

require ($_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/main/include/prolog_admin_after.php");

$arSmsEvents = array(
    array(
        'NAME' => GetMessage('abudagov.sms_NAME_1'),
        'CODE' => 'NEW_ORDER',
        'DEFAULT_EVENT_CODE' => 'SALE_NEW_ORDER',
        'DEFAULT_TEXT' => GetMessage('abudagov.sms_DEFAULT_TEXT_1')
    ),
    array(
        'NAME' => GetMessage('abudagov.sms_NAME_2'),
        'CODE' => 'DELIVERY_ORDER',
        'DEFAULT_EVENT_CODE' => 'SALE_ORDER_DELIVERY',
        'DEFAULT_TEXT' => GetMessage('abudagov.sms_DEFAULT_TEXT_2')
    ),
    array(
        'NAME' => GetMessage('abudagov.sms_NAME_3'),
        'CODE' => 'PAY_ORDER',
        'DEFAULT_EVENT_CODE' => 'SALE_ORDER_PAID',
        'DEFAULT_TEXT' => GetMessage('abudagov.sms_DEFAULT_TEXT_3')
    ),
);

$l = CLang::GetList($by = "sort", $order = "asc");
while($l_arr = $l->Fetch()) {
    $arSites[$l_arr['LID']] = $l_arr;
}

if (count($arSites) == 1) {
    foreach ($arSites as $id => $arSite) {
        $_REQUEST["SITE_ID"] = $arSite["LID"];
    }
}

if (isset($_REQUEST["SITE_ID"])) {

    $dbEvents = CEventType::GetList(array('LID' => $arSites[htmlspecialcharsbx($_REQUEST["SITE_ID"])]["LANGUAGE_ID"]));
    while ($arEvent = $dbEvents->Fetch()) {
        $arEvents[$arEvent['EVENT_NAME']] = $arEvent['NAME'];
    }

    $siteId = htmlspecialcharsbx($_REQUEST["SITE_ID"]);
    if ($_REQUEST['set_'.str_replace('.','_','abudagov.sms').'_props']) {
        if (isset($_REQUEST["ACTIVE"])) {
            COption::SetOptionString('abudagov.sms',"ACTIVE",htmlspecialcharsbx($_REQUEST["ACTIVE"]),false,$siteId);
        } else {
            COption::SetOptionString('abudagov.sms',"ACTIVE",'N',false,$siteId);
        }
        if (isset($_REQUEST["SMS_PROP"])) {
            foreach ($_REQUEST["SMS_PROP"] as $name => $value) {
                COption::SetOptionString('abudagov.sms',htmlspecialcharsbx($name),htmlspecialcharsbx($value),false,$siteId);
            }
            foreach ($arSmsEvents as $arSmsEvent) {
                if ($_REQUEST["SMS_PROP"][$arSmsEvent['CODE']."_COPY_CLIENT"] == 'Y') {
                    COption::SetOptionString('abudagov.sms',$arSmsEvent['CODE']."_COPY_CLIENT", 'Y',false,$siteId);
                } else {
                    COption::SetOptionString('abudagov.sms',$arSmsEvent['CODE']."_COPY_CLIENT", 'N',false,$siteId);
                }
                if ($_REQUEST["SMS_PROP"][$arSmsEvent['CODE']."_COPY_ADMIN"] == 'Y') {
                    COption::SetOptionString('abudagov.sms',$arSmsEvent['CODE']."_COPY_ADMIN", 'Y',false,$siteId);
                } else {
                    COption::SetOptionString('abudagov.sms',$arSmsEvent['CODE']."_COPY_ADMIN", 'N',false,$siteId);
                }
            }
        }

    }
}

?>
<div class="adm-detail-content-wrap">
    <form method="post" action="">
        <div class="adm-detail-content" id="edit1">
            <div class="adm-detail-title"><?=GetMessage('abudagov.sms_Nastrojka_resheniya')?></div>
            <div class="adm-detail-content-item-block">
                <table class="adm-detail-content-table edit-table" id="edit1_edit_table">
                    <tbody>
                        <?if (!isset($siteId)) :?>
                            <tr>
                                <td width="50%" class="adm-detail-content-cell-l">
                                    <?=GetMessage('abudagov.sms_Vyberite_sajt')?>
                                </td>
                                <td width="50%" class="adm-detail-content-cell-r">
                                    <select name="SITE_ID">
                                        <? foreach ($arSites as $lid => $arVal) :?>
                                            <option
                                                value="<?=$arVal["LID"]?>"
                                                <?if ($siteId == $arVal["LID"]) :?> selected <?endif;?>
                                            >
                                                [<?=$arVal["LID"]?>] <?=$arVal["NAME"];?>
                                            </option>
                                        <?endforeach;?>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div class="adm-info-message-wrap">
                                        <div class="adm-info-message">
                                            <?=GetMessage('abudagov.sms_najmite_sohranit')?>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        <?else:?>
                            <tr>
                                <td width="50%" class="adm-detail-content-cell-l">
                                    <?=GetMessage('abudagov.sms_Sajt')?>
                                </td>
                                <td width="50%" class="adm-detail-content-cell-r">
                                    <input type="hidden" name="SITE_ID" value="<?=htmlspecialcharsbx($_REQUEST["SITE_ID"])?>">
                                    <b>[<?=$siteId?>] <?=$arSites[$_REQUEST["SITE_ID"]]['NAME']?></b>
                                </td>
                            </tr>
                            <tr>
                                <td width="50%" class="adm-detail-content-cell-l">
                                    <?=GetMessage('abudagov.sms_Aktivnost')?>
                                </td>
                                <td width="50%" class="adm-detail-content-cell-r">
                                    <input type="checkbox" name="ACTIVE" value="Y" <?if (COption::GetOptionString('abudagov.sms', "ACTIVE", false, $siteId) == 'Y'):?>checked<?endif;?>>
                                </td>
                            </tr>
                            <tr class="heading">
                                <td colspan="2"><?=GetMessage('abudagov.sms_Parametri_modulya')?></td>
                            </tr>
                            <tr>
                                <td width="50%" class="adm-detail-content-cell-l">
                                    <?=GetMessage('abudagov.sms_Sekretniy_kluch')?>
                                </td>
                                <td width="50%" class="adm-detail-content-cell-r">
                                    <input type="password" name="SMS_PROP[TOKEN]" value="<?=COption::GetOptionString('abudagov.sms', "TOKEN", '', $siteId)?>">
                                </td>
                            </tr>
                            <tr>
                                <td width="50%" class="adm-detail-content-cell-l">
                                    <?=GetMessage('abudagov.sms_Kod_ustroystva')?>
                                </td>
                                <td width="50%" class="adm-detail-content-cell-r">
                                    <input type="text" name="SMS_PROP[DEVICE]"  value="<?=COption::GetOptionString('abudagov.sms', "DEVICE", '', $siteId)?>">
                                </td>
                            </tr>
                            <tr>
                                <td width="50%" class="adm-detail-content-cell-l">
                                    <?=GetMessage('abudagov.sms_Telefon_administratora')?>
                                </td>
                                <td width="50%" class="adm-detail-content-cell-r">
                                    <input type="text" name="SMS_PROP[ADMIN_PHONE]" value="<?=COption::GetOptionString('abudagov.sms', "ADMIN_PHONE", '', $siteId)?>">
                                </td>
                            </tr>
                            <?foreach ($arSmsEvents as $arSmsEvent):?>
                                <?if ($i > 0 && CModule::IncludeModuleEx('abudagov.sms') > 1) :?>
                                    <?
                                        $disabled = 'disabled';
                                        $title = GetMessage('abudagov.sms_Dostupno_v_platnoy');
                                    ?>
                                <?endif;?>
                                <tr class="heading">
                                    <td colspan="2"><?=$arSmsEvent['NAME'].' '.$title?></td>
                                </tr>
                                <tr>
                                    <td width="50%" class="adm-detail-content-cell-l">
                                        <?=GetMessage('abudagov.sms_Analog_pocht_uvedomlenie')?>
                                    </td>
                                    <td width="50%" class="adm-detail-content-cell-r">
                                        <select <?=$disabled?> name="SMS_PROP[<?=$arSmsEvent['CODE']?>_EVENT]" id="">
                                            <?foreach ($arEvents as $code => $name) :?>
                                                <option value="<?=$code?>" <?if (COption::GetOptionString('abudagov.sms', $arSmsEvent['CODE']."_EVENT", $arSmsEvent['DEFAULT_EVENT_CODE'], $siteId) == $code):?>selected<?endif;?>><?=$name?></option>
                                            <?endforeach;?>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td width="50%" class="adm-detail-content-cell-l">
                                       <?=GetMessage('abudagov.sms_Shablon_sms')?>
                                    </td>
                                    <td width="50%" class="adm-detail-content-cell-r">
                                        <textarea <?=$disabled?> cols="40" rows="2" name="SMS_PROP[<?=$arSmsEvent['CODE']?>_TEXT]"><?=COption::GetOptionString('abudagov.sms', $arSmsEvent['CODE']."_TEXT", $arSmsEvent['DEFAULT_TEXT'], $siteId)?></textarea>
                                    </td>
                                </tr>
                                <tr>
                                    <td width="50%" class="adm-detail-content-cell-l">
                                        <?=GetMessage('abudagov.sms_Otpravlyat')?>
                                    </td>
                                    <td width="50%" class="adm-detail-content-cell-r">
                                        <label>
                                            <input <?=$disabled?> type="checkbox" name="SMS_PROP[<?=$arSmsEvent['CODE']?>_COPY_CLIENT]" value="Y" <?if (COption::GetOptionString('abudagov.sms', $arSmsEvent['CODE']."_COPY_CLIENT", 'Y', $siteId) == 'Y'):?>checked<?endif;?>>
                                            <?=GetMessage('abudagov.sms_Klientu')?>
                                        </label>
                                        <label>
                                            <input <?=$disabled?> type="checkbox" name="SMS_PROP[<?=$arSmsEvent['CODE']?>_COPY_ADMIN]" value="Y" <?if (COption::GetOptionString('abudagov.sms', $arSmsEvent['CODE']."_COPY_ADMIN", 'Y', $siteId) == 'Y'):?>checked<?endif;?>>
                                            <?=GetMessage('abudagov.sms_Administratoru')?>
                                        </label>
                                    </td>
                                </tr>
                            <?endforeach;?>
                        <?endif;?>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="adm-detail-content-btns">
            <?if (isset($siteId)) :?>
                <input class="adm-btn-save" type="submit" name="set_<?=str_replace('.','_','abudagov.sms')?>_props" value="<?=GetMessage('abudagov.sms_Soxranit')?>">
                <input type="button" value="<?=GetMessage('abudagov.sms_Otmenit')?>" name="cancel" onclick="window.location='<?='abudagov.sms'?>_setting.php?lang=ru'" >
            <?else:?>
                <input class="adm-btn-save" type="submit" name="set_site" value="<?=GetMessage('abudagov.sms_Vibrat');?>">
            <?endif;?>
        </div>
    </form>
</div>